#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "stuffy.h"

void Stuffy(int argc, char* argv[])
{
    // Check for argument
    int archiveAction = StuffyArgument(argc, argv);
    if (archiveAction < 0)
    {
        fprintf(stderr, "Usage: stuffy.out [OPTION] [ARCHIVE] [FILE]");
        exit(1);
    }
    // Perform action based on argument
    StuffyAction(argv, archiveAction);
    // Check for redirection
    // If redirection, then perform redirection
    return;
}

int StuffyArgument(int argc, char* argv[])
{
    for (int i = 1; i < argc; i++)
    {
        if ((argv[i][0] == '-') && (argv[i][1] == 'a'))
            return 0;
        if ((argv[i][0] == '-') && (argv[i][1] == 'r'))
            return 1;
        if ((argv[i][0] == '-') && (argv[i][1] == 'l'))
            return 2;
        if ((argv[i][0] == '-') && (argv[i][1] == 'e'))
            return 3;
    }
    return -1;
}

void StuffyAction(char* argv[], int archiveAction)
{
    ;
}

void AddToArchive(char* archiveName, char* fileName)
{
    ;
}

void RemoveFromArchive(char* archiveName, char* fileName)
{
    ;
}

void ListArchive(char* archiveName)
{
    ;
}

void ExtractArchive(char*)
{
    ;
}
